package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 采购单
type PaperBill struct {
	//名字
	Name string `bson:"name,omitempty" json:"name"`
	//规格
	Norm string `bson:"norm,omitempty" json:"norm"`

	//宽
	Width string `bson:"width,omitempty" json:"width"`

	//长
	Height string `bson:"height,omitempty" json:"height"`

	Price  string `bson:"price,omitempty" json:"price"`
	Price2 string `bson:"price2,omitempty" json:"price2"`

	//数量
	Count int `bson:"count,omitempty" json:"count"`

	//交货时间
	DeliveryTime time.Time `bson:"deliveryTime,omitempty" json:"deliveryTime"`
}

type PurchaseBill struct {
	Id     primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	PackId primitive.ObjectID `bson:"packId,omitempty" json:"packId"`
	PlanId primitive.ObjectID `bson:"planId,omitempty" json:"planId"`

	//类别
	Type string `bson:"type,omitempty" json:"type"`

	//created complete
	Status     string    `bson:"status,omitempty" json:"status"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`

	//供应商
	Supplier string `bson:"supplier,omitempty" json:"supplier"`

	//送货地址
	SendTo string `bson:"sendTo,omitempty" json:"sendTo"`

	//商品名字
	ProductName string `bson:"productName,omitempty" json:"productName"`

	//纸张类采购
	Paper []*PaperBill `bson:"papers,omitempty" json:"papers"`
}

type ProduceBill struct {
	Id     primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	PackId primitive.ObjectID `bson:"packId,omitempty" json:"packId"`
	PlanId primitive.ObjectID `bson:"planId,omitempty" json:"planId"`

	//类别
	Type string `bson:"type,omitempty" json:"type"`

	//created complete
	Status     string    `bson:"status,omitempty" json:"status"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`

	//供应商
	Supplier string `bson:"supplier,omitempty" json:"supplier"`

	//送货地址
	SendTo string `bson:"sendTo,omitempty" json:"sendTo"`

	//商品名字
	ProductName string `bson:"productName,omitempty" json:"productName"`

	//纸张类采购
	Paper []*PaperBill `bson:"papers,omitempty" json:"papers"`
}
